libpycaml-ocaml-dev_0.82-15build1_i386.deb


Advertisement

Description

libpycaml-ocaml-dev - OCaml bindings to embed Python interpreter (development files)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpycaml-ocaml-dev
Package version 0.82
Package release 15build1
Package architecture i386
Package type deb
Installed size 2.38 KB
Download size 342.44 KB
Official Mirror archive.ubuntu.com
Pycaml is intended to allow users to build native OCaml libraries and
use them from Python, and conversely, in order to allow OCaml users
to benefit from linkable libraries provided for Python.
This package contains development files.

Alternatives

Package Version Architecture Repository
libpycaml-ocaml-dev_0.82-15build1_amd64.deb 0.82 amd64 Ubuntu Universe
libpycaml-ocaml-dev - - -

Requires

Name Value
libpycaml-ocaml-uf206 -
ocaml-nox-4.05.0 -
python-dev -

Provides

Name Value
libpycaml-ocaml-dev-uf206 -
pycaml -

Replaces

Name Value
pycaml << 0.82-12~

Download

Type URL
Binary Package libpycaml-ocaml-dev_0.82-15build1_i386.deb
Source Package pycaml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpycaml-ocaml-dev deb package:
    # sudo apt-get install libpycaml-ocaml-dev

Files

Path
/usr/bin/pycamltop
/usr/lib/ocaml/pycaml/META
/usr/lib/ocaml/pycaml/libpycaml_stubs.a
/usr/lib/ocaml/pycaml/pycaml.a
/usr/lib/ocaml/pycaml/pycaml.cma
/usr/lib/ocaml/pycaml/pycaml.cmi
/usr/lib/ocaml/pycaml/pycaml.cmxa
/usr/lib/ocaml/pycaml/pycaml.ml
/usr/share/doc-base/pycaml
/usr/share/doc/libpycaml-ocaml-dev/NEWS.Debian.gz
/usr/share/doc/libpycaml-ocaml-dev/README.Debian
/usr/share/doc/libpycaml-ocaml-dev/changelog.Debian.gz
/usr/share/doc/libpycaml-ocaml-dev/copyright
/usr/share/doc/libpycaml-ocaml-dev/pycaml.html
/usr/share/doc/libpycaml-ocaml-dev/examples/ocamlobj.ml
/usr/share/doc/libpycaml-ocaml-dev/examples/pycamltest.ml
/var/lib/ocaml/lintian/libpycaml-ocaml-dev.info
/var/lib/ocaml/md5sums/libpycaml-ocaml-dev.md5sums

Changelog

2017-10-26 - Dimitri John Ledkov <xnox@ubuntu.com>
pycaml (0.82-15build1) bionic; urgency=high
* No change rebuild against ocaml 4.05.
2017-08-08 - Stéphane Glondu <glondu@debian.org>
pycaml (0.82-15) unstable; urgency=low
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders (Closes: #869325)
[ Stéphane Glondu ]
* Bump debhelper compat to 10
* Switch debian/copyright to format 1.0
* Update Vcs-*
* Bump Standards-Version to 4.0.1
* Remove debian/pycompat
2015-08-22 - Matthias Klose <doko@debian.org>
pycaml (0.82-14.1) unstable; urgency=medium
* Non-maintainer upload.
* Build using dh-python. Closes: #786238.
2011-07-02 - Stéphane Glondu <glondu@debian.org>
pycaml (0.82-14) unstable; urgency=low
[ Stéphane Glondu ]
* Bump Standards-Version to 3.9.2
[ Barry Warsaw ]
* PyEval_CallObject became a macro in Python 2.7, so it needs a wrapper
to compile properly (LP: #688862, Closes: #632329)
2010-06-21 - Stéphane Glondu <glondu@debian.org>
pycaml (0.82-13) unstable; urgency=low
* Add versioned Conflicts to pycaml (Closes: #586656)
2010-06-19 - Stéphane Glondu <glondu@debian.org>
pycaml (0.82-12) unstable; urgency=low
* New binary packages libpycaml-ocaml{,-dev} (Closes: #586276)
- remove pycaml, and make libpycaml-ocaml-dev provide it
* Bump Standards-Version to 3.8.4 (no changes)
2009-11-03 - Stéphane Glondu <glondu@debian.org>
pycaml (0.82-11) unstable; urgency=low
* Switch dh-ocaml 0.9
* Switch to 3.0 (quilt)
* debian/control:
- update my e-mail address and remove DMUA
- move to section ocaml
- update Standards-Version to 3.8.3
2009-06-07 - Stephane Glondu <steph@glondu.net>
pycaml (0.82-10) unstable; urgency=low
[ Stephane Glondu ]
* Add myself to Uploaders and DM-Upload-Allowed
* Use quilt instead of dpatch:
- split wrap_pycall.dpatch into Wrap-Py_-calls and
Removal-of-PyRange_New
- remove changes to upstream Makefile
- add README.source
* Update Wrap-Py_-calls.patch to wrap also PyImport_ImportModuleEx,
which became a macro in Python 2.6 (Closes: #531806)
* Various improvements (Closes: #482917):
- install library files to a subdirectory of `ocamlc -where`
- add META file and suggestion to ocaml-findlib
- document these changes in NEWS
* Modernize packaging:
- add Homepage field to debian/control
- simplify debian/rules with use of dh
- update Standards-Version to 3.8.1
[ Sylvain Le Gall ]
* Update debian/copyright to
http://wiki.debian.org/Proposals/CopyrightFormat
2009-03-05 - Samuel Mimram <smimram@debian.org>
pycaml (0.82-9) unstable; urgency=low
[ Stephane Glondu ]
* Fix dependencies and location of dllpycaml_stubs.so (thanks to
Michael Bienia).
[ Samuel Mimram ]
* Rebuild with OCaml 3.11.
* Switch packaging to git.
* Use dh-ocaml.
* Update compat to 7.
* Update standards version to 3.8.0.
* Remove useless lintian override.
2008-05-23 - Sylvain Le Gall <gildor@debian.org>
pycaml (0.82-8) unstable; urgency=low
[ Stefano Zacchiroli ]
* fix vcs-svn field to point just above the debian/ dir
[ Sylvain Le Gall ]
* Use dpatch
* Apply provided patches to wrap Py_* function call, thanks to
Christopher L. Conway (Closes: #477010)
* Update to python 2.5
* Rebuild for ocaml 3.10.2
* Add myself to uploaders

See Also

Package Description
libpycaml-ocaml_0.82-15build1_i386.deb OCaml bindings to embed Python interpreter (runtime)
libpynac-dev_0.7.12-2build1_i386.deb Engine for symbolic geometric calculus for Python (development files)
libpynac15_0.7.12-2build1_i386.deb Engine for symbolic geometric calculus for Python
libpyside-dev_1.2.2+source1-3_i386.deb Python bindings for Qt 4 (development files)
libpyside-py3-1.2_1.2.2+source1-3_i386.deb Python3 bindings for Qt 4 (base files)
libpyside1.2_1.2.2+source1-3_i386.deb Python bindings for Qt 4 (base files)
libpythia8-dev_8.1.86-1.2_i386.deb PYTHIA event generator of high energy physics - development files
libpythia8v5_8.1.86-1.2_i386.deb PYTHIA event generator of high energy physics
libpython2.7-testsuite_2.7.15~rc1-1_all.deb Testsuite for the Python standard library (v2.7)
libpython3.7-dev_3.7.0~b3-1_i386.deb Header files and a static library for Python (v3.7)
libpython3.7-minimal_3.7.0~b3-1_i386.deb Minimal subset of the Python language (version 3.7)
libpython3.7-stdlib_3.7.0~b3-1_i386.deb Interactive high-level object-oriented language (standard library, version 3.7)
libpython3.7-testsuite_3.7.0~b3-1_all.deb Testsuite for the Python standard library (v3.7)
libpython3.7_3.7.0~b3-1_i386.deb Shared Python runtime library (version 3.7)
libpythonqt-qt5-common-dev_3.2-7build2_all.deb Dynamic Python binding for the Qt framework - development
Advertisement
Advertisement